How to add dependency for ietf-netconf-notification in feature.xml

asked 2015-09-29 05:14:21 -0800

tripaam gravatar image

I have added ietf-netconf-notification dependency in my project's feature pom.xml file as

<dependency>
  <groupId>org.opendaylight.netconf</groupId>
  <artifactId>ietf-netconf-notifications</artifactId>
  <version>${netconf.version}</version>
</dependency>

When building feature for the project getting error as:

Tests in error: Unresolved constraint in bundle org.opendaylight.yang-push.yangpush-api [184]: Unable to resolve 184.0: missing requirement [184.0] osgi.wiring.package; (&(osgi.wiring.package=org.opendaylight.yang.gen.v1.urn.ietf.params.xml.ns.netconf.notification.1.0.rev080714)(version>=1.0.0)(!(version>=2.0.0))) Unresolved constraint in bundle org.opendaylight.yang-push.yangpush-api [108]: Unable to resolve 108.0: missing requirement [108.0] osgi.wiring.package; (&(osgi.wiring.package=org.opendaylight.yang.gen.v1.urn.ietf.params.xml.ns.netconf.notification.1.0.rev080714)(version>=1.0.0)(!(version>=2.0.0))) Unresolved constraint in bundle org.opendaylight.yang-push.yangpush-api [184]: Unable to resolve 184.0: missing requirement [184.0] osgi.wiring.package; (&(osgi.wiring.package=org.opendaylight.yang.gen.v1.urn.ietf.params.xml.ns.netconf.notification.1.0.rev080714)(version>=1.0.0)(!(version>=2.0.0))) Unresolved constraint in bundle org.opendaylight.yang-push.yangpush-api [184]: Unable to resolve 184.0: missing requirement [184.0] osgi.wiring.package; (&(osgi.wiring.package=org.opendaylight.yang.gen.v1.urn.ietf.params.xml.ns.netconf.notification.1.0.rev080714)(version>=1.0.0)(!(version>=2.0.0)))

How can i resolve the dependency issue?

The YANG model build perfectly after augmentation.

edit retag flag offensive close merge delete